import { CancellationToken } from "../../../base/common/cancellation.js";
import { Event } from "../../../base/common/event.js";
import { IQueryOptions, IGalleryMcpServer, IMcpServerManifest, type DidUninstallMcpServerEvent, type ILocalMcpServer, type InstallMcpServerEvent, type InstallMcpServerResult, type PackageType, type UninstallMcpServerEvent } from "@codingame/monaco-vscode-aa9ead53-dfd3-59da-b9e7-f163d201de8d-common/vscode/vs/platform/mcp/common/mcpManagement";
export declare const IMcpGalleryService: import("../../instantiation/common/instantiation.js").ServiceIdentifier<IMcpGalleryService>;
export interface IMcpGalleryService {
    readonly _serviceBrand: undefined;
    isEnabled(): boolean;
    query(options?: IQueryOptions, token?: CancellationToken): Promise<IGalleryMcpServer[]>;
    getManifest(extension: IGalleryMcpServer, token: CancellationToken): Promise<IMcpServerManifest>;
    getReadme(extension: IGalleryMcpServer, token: CancellationToken): Promise<string>;
}
export declare const IMcpManagementService: import("../../instantiation/common/instantiation.js").ServiceIdentifier<IMcpManagementService>;
export interface IMcpManagementService {
    readonly _serviceBrand: undefined;
    readonly onInstallMcpServer: Event<InstallMcpServerEvent>;
    readonly onDidInstallMcpServers: Event<readonly InstallMcpServerResult[]>;
    readonly onUninstallMcpServer: Event<UninstallMcpServerEvent>;
    readonly onDidUninstallMcpServer: Event<DidUninstallMcpServerEvent>;
    getInstalled(): Promise<ILocalMcpServer[]>;
    installFromGallery(server: IGalleryMcpServer, packageType: PackageType): Promise<void>;
    uninstall(server: ILocalMcpServer): Promise<void>;
}
